echo "Please enter version number (default 15.1v1):"
read version

sudo mkdir /usr/bin/Nuke/
sudo cp nuke.png /usr/bin/Nuke/nuke.png

if [ -z "$version" ]; then
  version="15.1v1"
fi
vnum="${version%%v*}"

echo "#!/usr/bin/env xdg-open
[Desktop Entry]
Version=1.0
Terminal=false
Type=Application
Name=Nuke ${vnum}
Exec=/usr/bin/Nuke/Nuke${version}/Nuke${vnum} --indie
Icon=/usr/bin/Nuke/nuke.png" >~/.local/share/applications/nuke${version}.desktop

cd ~/Downloads/

sudo yum install mesa-libGLU.x86_64 -y
sudo dnf install libxcrypt-compat -y

sudo ./Nuke${version}-linux-x86_64.run --accept-foundry-eula
sudo mv ./Nuke${version} /usr/bin/Nuke/
